<form [formGroup]="rangeForm">
  <mat-form-field appearance="fill">
    <mat-label translate>START</mat-label>
    <input matInput formControlName="start" />
  </mat-form-field>

  <mat-form-field class="ml-5" appearance="fill">
    <mat-label translate>END</mat-label>
    <input matInput formControlName="end" />
  </mat-form-field>

  <button
    [disabled]="disabled"
    class="ml-10"
    (click)="submit()"
    color="primary"
    mat-raised-button
  >
    <div fxLayout="row" fxLayoutAlign="start center">
      <mat-icon class="mr-5">play_arrow</mat-icon>
      {{ 'DOWNLOAD' | translate }}
    </div>
  </button>
</form>
